Mac

Issues with Sentry flash drive and El Capitan.
Due to the new USB related changes in OSX El Capitan, the Sentry flash drives will need to have it's firmware updated to v4.8.16 or higher. ...
Tue, 2 Aug, 2016 at 10:15 AM